/**
 * Copyright (C) 2016 Czech Technical University in Prague
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package cz.cvut.kbss.reporting.rest;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Common ancestor for all REST controllers.
 *
 * Note: Authorization is omitted intentionally. It will be implemented as part of the tasks during the semester.
 */
public class AbstractController {

    static final Logger LOG = LoggerFactory.getLogger(AbstractController.class);
}
